Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	xfce4-cddrive-plugin puts a button to control a CD-ROM drive to XFCE 
Name:		xfce4-cddrive-plugin
Version:	0.0.1
Release:	1
License:	GPL
URL:		http://xfce-goodies.berlios.de
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xfce4-panel >= 4.4.0 libcdio libcddb
BuildRequires:	xfce4-panel-devel >= 4.4.0 hal-devel libcdio-devel libcddb-devel
BuildRequires:	exo-devel dbus-devel glib-devel

%description
xfce4-cddrive-plugin puts a button in the XFCE panel which allow to open
or close a CD-ROM drive tray.
Additionally, the button icon reports the content of the drive.
The icon indicates if there is a disc in the drive, if it is mounted,
and the type of the disc (regular CD-ROM, audio or DVD).
You can also mount or unmount the disc via the plugin's menu (the action appears
when a disc is in the drive).

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libexecdir/xfce4/panel-plugins/xfce4-cddrive-plugin
%_datadir/locale/*/LC_MESSAGES/xfce4-cddrive-plugin.mo
%_datadir/xfce4/panel-plugins/cddrive.desktop

%changelog
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.0.1-1
- Initial Release
